Bug 662755 - RFE: Add a python26-pygments package to EPEL5
Summary: RFE: Add a python26-pygments package to EPEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-pygments
Version: el5
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 662753 668588
Blocks: 662750
TreeView+ depends on / blocked
 
Reported: 2010-12-13 19:31 UTC by Steve Traylen
Modified: 2011-08-09 21:58 UTC (History)
1 user (show)

Fixed In Version: python-pygments-1.4-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-02 01:51:33 UTC


Attachments (Terms of Use)
Adds python26-pygments package to el5 branch. (5.10 KB, patch)
2011-01-26 21:17 UTC, Steve Traylen
no flags Details | Diff

Description Steve Traylen 2010-12-13 19:31:15 UTC
Hi, 

I was hoping you might maintain an EPEL5 python26-pygments package
for EPEL5.

It is currently blocked but I'll try and provide some patches once it
is unblocked.

Comment 1 Steve Milner 2011-01-11 15:11:00 UTC
Ok, thanks!

Comment 2 Steve Traylen 2011-01-26 21:17:57 UTC
Created attachment 475486 [details]
Adds python26-pygments package to el5 branch.


python-imaging has just gone to testing.

This patch is to the current el5 branch and adds a python26 package.
I tried to copy the method you used in your devel package for fedora3.

I also enabled the %checks as well while here.

Steve.

Comment 3 Steve Traylen 2011-02-14 19:03:51 UTC
Hi Steve,

Are you able to submit and maintain a package for this?

All the dependencies are now satisfied.

Steve.

Comment 4 Steve Milner 2011-02-17 16:00:25 UTC
I'll review the patch and test it out in Koji and let you know.

Comment 5 Steve Traylen 2011-06-23 13:13:29 UTC
Hi Steve,

Were you able to give some time this, should hopefully be pretty quick at this point.

Steve.

Comment 6 Steve Traylen 2011-06-23 13:21:40 UTC
Or if you happy for me to co-maintain on the EPEL branch this is also good.

Comment 7 Steve Milner 2011-06-23 20:35:11 UTC
Doh ... yes. Let me apply this patch with the latest changes for the package for 1.4.

Comment 8 Steve Milner 2011-06-24 14:17:44 UTC
Scratch build done: http://koji.fedoraproject.org/koji/taskinfo?taskID=3158759

Do you mind testing it out before I push it forward?

Comment 9 Steve Milner 2011-07-08 18:10:45 UTC
Were you able to take a look at the resulting package from the scratch build?

Comment 10 Steve Traylen 2011-07-17 09:04:46 UTC
Hi Steve,

I've been so long here that now the scratch builds have gone.

Would you be able to regenerate them.

Steve.

Comment 11 Steve Milner 2011-07-18 12:54:53 UTC
Sure. I'll do another scratch build tonight or tomorrow for you you to test out.

Comment 12 Steve Milner 2011-07-18 22:19:50 UTC
Here you go:

    http://koji.fedoraproject.org/koji/taskinfo?taskID=3208192

Comment 13 Steve Traylen 2011-07-18 23:08:44 UTC
Hi SteveM

I installed both packages on a centos5 box and a trivial script

#!/usr/bin/python2.6

from pygments import highlight
from pygments.lexers import PythonLexer
from pygments.formatters import HtmlFormatter

code = 'print "Hello World"'
print highlight(code, PythonLexer(), HtmlFormatter() )

works as above or with the default /usr/bin/python , i.e 2.4 as a #!.

.. It works.

The only thing I can think of doing is to install python2.6
and python3 binaries as well in those packges, e.g /usr/bin/pygmatize2.6,
but I don't  see any advantage in doing so, .. nothing extra actually can
be done. There are no new features with new-python enabled binary.

For me this seems good.

Many Thanks,

SteveT.

Comment 14 Fedora Update System 2011-07-20 16:06:36 UTC
python-pygments-1.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-pygments-1.4-1.fc15

Comment 15 Fedora Update System 2011-07-20 16:06:45 UTC
python-pygments-1.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-pygments-1.4-1.fc14

Comment 16 Fedora Update System 2011-07-20 16:06:53 UTC
python-pygments-1.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-pygments-1.4-1.el5

Comment 17 Fedora Update System 2011-07-22 19:29:02 UTC
Package python-pygments-1.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-pygments-1.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-pygments-1.4-1.el5
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2011-08-02 01:51:21 UTC
python-pygments-1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-08-02 02:06:07 UTC
python-pygments-1.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-08-09 21:58:37 UTC
python-pygments-1.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.